Cart New Account Login

HomeAbout usProductsSupportForumsBlogCustomer Service

search inside this forum
search inside all forums
Enable to use or update a mutlilink universal PEmicro
anisse b. Feb 2, 2021 at 11:31 AM (11:31 hours)
Staff: Johnny N.

  • Hello,

    I tried to use your usb mutlilink usb PEmicro rev D, but I have a pop up "Interface hardware detected with old firmware"
    original firmware :
    current firmware:
    update firmware :6.14
    error.Check,port,Power and connection

    For your information we have already another pemicro wiche works fine wihtout this pop up.
    I am sorry I can't join a screen-shot
    Thank you in advance for your feedback.
    Anisse BELMAJY




    Comments

    • It sounds like you are running an old version of software that doesn't have firmware support for the USB Multilink Universal Rev D.

      What software are you using and what version?

Add comment


   Want to comment? Please login or create a new PEmicro account.







© 2021 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement